2004-05-13  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (verify, t_afss2k): Link test programs against
	thread support library.

2004-04-02  Ken Raeburn  <raeburn@mit.edu>

	* string2key.c: Replaced with a new implementation.

2004-02-18  Ken Raeburn  <raeburn@mit.edu>

	* afsstring2key.c, d3_cbc.c, d3_kysched.c, f_cbc.c, f_cksum.c,
	f_parity.c, f_sched.c, key_sched.c, string2key.c, weak_key.c: Use
	ANSI C style function definitions.

2004-02-17  Ken Raeburn  <raeburn@mit.edu>

	* f_tables.h (DES_DO_ENCRYPT, DES_DO_DECRYPT): Allocate temporary
	variable locally instead of taking the extra argument.
	* d3_cbc.c (krb5int_des3_cbc_encrypt): Don't pass the extra
	argument, and delete the automatic variable.
	(krb5int_des3_cbc_decrypt): Likewise.
	* f_cbc.c (krb5int_des_cbc_encrypt, krb5int_des_cbc_decrypt):
	Likewise.
	* f_cksum.c (mit_des_cbc_cksum): Likewise.

	* afsstring2key.c (krb5_afs_encrypt): Drop EDFLAG as an argument,
	make it local instead, since we always pass 0.
	(afs_crypt): Call changed.
	(krb5_afs_crypt_setkey, krb5_afs_encrypt): Use memcpy.

2003-12-19  Ken Raeburn  <raeburn@mit.edu>

	* f_cbc.c (mit_des_zeroblock): Define, as a single cblock, not the
	array of 8 that was used elsewhere.
	* des_int.h (mit_des_zeroblock): Declare, and use a macro to stick
	a krb5int prefix on it.

2003-07-22  Ken Raeburn  <raeburn@mit.edu>

	* f_cbc.c (krb5int_des_cbc_decrypt): Move declarations that were
	after statements after flattening blocks is previous change.
	* d3_cbc.c (krb5int_des3_cbc_decrypt): Likewise.

2003-07-17  Ken Raeburn  <raeburn@mit.edu>

	* f_cbc.c (krb5int_des_cbc_encrypt, krb5int_des_cbc_decrypt): New
	functions broken out from mit_des_cbc_encrypt.
	(mit_des_cbc_encrypt): Call them.
	* d3_cbc.c (krb5int_des3_cbc_encrypt, krb5int_des3_cbc_decrypt):
	New functions broken out from mit_des3_cbc_encrypt.
	(mit_des3_cbc_encrypt): Call them.
	* des_int.h (krb5int_des_cbc_encrypt, krb5int_des_cbc_decrypt,
	krb5int_des3_cbc_encrypt, krb5int_des3_cbc_decrypt): Declare.
	(mit_des_cbc_encrypt, mit_des3_cbc_encrypt): New macros.

	* Makefile.in (LIBNAME) [##WIN16##]: Don't define.

2003-03-06  Alexandra Ellwood  <lxs@mit.edu>

    * des_int.h: Added prototype for mit_afs_crypt which is used by
    the deprecated KfM des_crypt function. 

2003-03-04  Ken Raeburn  <raeburn@mit.edu>

	* des_int.h (krb5_raw_des_cst_entry, krb5_des_crc_cst_entry,
	krb5_des_md5_cst_entry, krb5_des3_sha_cst_entry,
	krb5_des3_raw_cst_entry, krb5_des_cbc_cksumtable_entry): Delete
	unused declarations.

2003-01-10  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Add AC_SUBST_FILE marker for libobj_frag.

2002-12-23  Ezra Peisach  <epeisach@bu.edu>

	* t_verify.c: Signed vs. unsigned cleanups. Remove unsused variables.

2002-10-09  Ken Raeburn  <raeburn@mit.edu>

	* string2key.c (mit_des_string_to_key_int): If PRINT_TEST_VECTORS
	is defined, print some of the intermediate results.

2002-09-26  Tom Yu  <tlyu@mit.edu>

	* afsstring2key.c (krb5_afs_crypt): Leak this function out as as
	mit_afs_crypt to allow for des_crypt and des_fcrypt
	implementations for the KfM merge.

	* des_int.h: Change DES_INT32 strategy to include kerberosIV/des.h
	with a magic macro defined for skipping krb4-specific stuff.  Make
	renaming of make_key_sched explicit, to avoid conflict with
	kerberosIV/des.h.

	* f_sched.c, key_sched.c, d3_kysched.c: Make renaming of
	make_key_sched explicit.

	* f_cksum.c (mit_des_cbc_cksum): Return only the rightmost 32
	bits; this should optimize out on any platform where longs are
	exactly 32 bits wide.

2002-08-29  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Revert $(S)=>/ change, for Windows support.

2002-08-23  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Change $(S)=>/ and $(U)=>.. globally.

2002-08-16  Tom Yu  <tlyu@mit.edu>

	* string2key.c: Work around possible bug with AFS salts;
	[krb5-clients/1146] from <Wolfgang.Friebel@cern.ch>.

2002-06-07  Miro Jurisic  <meeroh@mit.edu>

	* des_int.h: use "" includes for k5-int.h
	[pullup from 1-2-2-branch]

2001-10-03  Ken Raeburn  <raeburn@mit.edu>

	* afsstring2key.c, d3_cbc.c, des_int.h, f_cbc.c, f_cksum.c,
	string2key.c: Don't explicitly declare pointers FAR any more.

2001-06-22  Ken Raeburn  <raeburn@mit.edu>

	* string2key.c (mit_des_string_to_key_int): Undo last change.

2001-06-21  Ken Raeburn  <raeburn@mit.edu>

	* destest.c (value): Now signed int, since some entries are
	negative.
	(convert): Do bounds checking on character values used as indices
	into value array.

	* string2key.c (mit_des_string_to_key_int): Now static.

2001-06-21  Ezra Peisach  <epeisach@mit.edu>

	* t_verify.c: Get rid of global variables i,j.

2001-06-20  Ken Raeburn  <raeburn@mit.edu>

	* string2key.c (mit_des_string_to_key_int): Construct a krb5_data
	object with proper length for the AFS case (indicated by a -1 salt
	length on input).

2001-06-12  Ezra Peisach  <epeisach@mit.edu>

	* destest.c: main returns int instead of void.  Add "const" to
	casts in calls to mit_des_cbc_encrypt().

	* t_verify.c (main): Add parenthesis aroud assignment in conditional. 

2001-05-31  Ezra Peisach  <epeisach@mit.edu>

	* f_cbc.c (mit_des_cbc_encrypt): Do not use a variable named "encrypt".
	* d3_cbc.c (mit_des3_cbc_encrypt): Likewise.

	* des_int.h (mit_des_cbc_encrypt, mit_des3_ecb_encrypt,
	mit_des3_cbc_encrypt): Don't use "encrypt" as argument name.

2001-04-12  Ezra Peisach  <epeisach@mit.edu>

	* f_tables.h: Do not define const to nothing on platforms that
	fail to define __STDC__ - let autoconf do this if necessary.

2001-04-10  Ken Raeburn  <raeburn@mit.edu>

	* t_afss2k.c (do_it): Add cast to keep compiler quiet.

	* f_cksum.c (mit_des_cbc_cksum): Use const for input, key
	schedule, and initial vector.  Get rid of casts when possible.
	* f_cbc.c (mit_des_cbc_encrypt): Likewise.
	* f_sched.c (make_key_sched): Likewise.
	* d3_cbc.c (mit_des3_cbc_encrypt): Likewise.
	* d3_kysched.c (mit_des3_key_sched): Don't create new variables to
	point to components of key and schedule, just index into the
	argument variables.
	* des_int.h (mit_des_cbc_cksum, mit_des_cbc_encrypt,
	mit_des3_cbc_encrypt): Update decls.
	(mit_des_string_to_key_int): New decl.

	* weak_key.c (mit_des_is_weak_key): Get rid of some unneeded
	casts.

	* des_int.h (make_key_sched): Define a macro to rename with
	mit_des_ prefix.

	* des_int.h (des_cblock, des_key_schedule): Duplicate definitions
	here and in kerberosIV/des.h, using macro
	KRB5INT_DES_TYPES_DEFINED to avoid duplication.
	(mit_des_cblock, mit_des_key_schedule): Define in terms of the
	other types for now.
	(PROTOTYPE): Don't define.

	* afsstring2key.c, des_int.h, destest.c: Don't use PROTOTYPE macro.

2001-01-25  Ken Raeburn  <raeburn@mit.edu>

	* t_afss2k.c: Extend test cases to cover situation where krb5_data
	refers to strings that are not nul-terminated.  Reorder functions
	to avoid inlining, to keep debugging easier.
	* afsstring2key.c (mit_afs_string_to_key): Don't depend on
	nul-termination of input strings.

2001-01-20  Ken Raeburn  <raeburn@mit.edu>

	* afsstring2key.c (mit_afs_string_to_key): Allocate and pass
	buffer for afs_crypt.  Don't use static storage for key schedule.
	(IP, FP, PC1_C, PC1_D, shifts, PC2_C, PC2_D, E, e, P, S): Now
	const.
	(C, D, KS, L, R, tempL, f, preS): Static variables deleted.
	(afs_crypt): Allocate them here, and pass pointers to other
	routines.
	(krb5_afs_crypt_setkey, krb5_afs_encrypt): Add extra arguments or
	local variables for additional state, instead of static
	variables.

	* t_afss2k.c: New file.
	* Makefile.in (t_afss2k): New target.
	(TAFSS2KOBJS): New variable.
	(check-unix): Run t_afss2k.
	(clean): Get rid of t_afss2k binaries.

2000-10-17  Ezra Peisach  <epeisach@mit.edu>

	* des_int.h: Change prototypes for mit_des_cbc_encrypt(),
	mit_des_cbc_cksum(), and mit_des3_cbc_encrypt() to take unsigned
	long lengths.

	* d3_cbc.c (mit_des3_cbc_encrypt): Length argument now takes an
	unsigned long.

	* f_cbc.c (mit_des_cbc_encrypt): Length argument now takes an
	unsigned long.

	* f_cksum.c (mit_des_cbc_cksum): Length argument now takes an
	unsigned long.

	* string2key.c: Unsigned/signed int cleanup. Test for a
	salt-length of SALT_TYPE_AFS_LENGTH or -1 (for backwards
	compatibilty) for use of mit_afs_string_to_key().

2000-06-30  Ezra Peisach  <epeisach@mit.edu>

	* afsstring2key.c: Initialization of S[8][64] - each 64 elements 
	enclosed in brackets. 

2000-06-28  Ezra Peisach  <epeisach@mit.edu>

	* afsstring2key.c: "register x" -> "register int x".

2000-02-25  Ezra Peisach  <epeisach@mit.edu>

	* t_verify.c: Add "const" to casts in calls to mit_des_cbc_encrypt().

	* destest.c: Declare zeroblock as krb5_octet * instead of char * as
	argument to mit_des_cbc_encrypt.
	
2000-01-21  Ken Raeburn  <raeburn@mit.edu>

	* f_sched.c (PC2_C, PC2_D): Put braces around sub-arrays.
	* f_tables.c (des_SP_table): Ditto.

	* weak_key.c (weak): Now const.
	(mit_des_is_weak_key): Adjust pointer type accordingly.

1999-10-26  Wilfredo Sanchez  <tritan@mit.edu>

	* Makefile.in: Clean up usage of CFLAGS, CPPFLAGS, DEFS, DEFINES,
	LOCAL_INCLUDES such that one can override CFLAGS from the command
	line without losing CPP search patchs and defines. Some associated
	Makefile cleanup.

Mon May 10 15:16:18 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Do win32 build in subdir.

1998-11-13  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Set the myfulldir and mydir variables (which are
		relative to buildtop and thisconfigdir, respectively.)

Sun Jul 19 12:00:00 1998  Marc Horowitz <marc@mit.edu>

	* *.c: replace the crypto layer.

Wed Feb 18 16:06:23 1998  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Remove trailing slash from thisconfigdir.  Fix up
	BUILDTOP for new conventions.

Fri Feb 13 15:20:54 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in (thisconfigdir), configure.in: Point the
 		configuration directory at our parent, and remove our
		local configure.in

Mon Feb  2 17:02:29 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Define BUILDTOP and thisconfigdir in the Makefile

Thu Dec 25 20:57:53 1997  Tom Yu  <chaoself@mit.edu>

	* init_rkey.c (mit_des_init_random_key): Punt the struct; use
	explicit variables instead because we're no longer doing a
	memcpy.  In addition, fill p_state->sequence.data a byte at a
	time. [krb5-libs/492]

Mon Oct 27 01:06:34 1997  Tom Yu  <tlyu@mit.edu>

	* d3_cbc.c, des.h, des_int.h, f_cbc.c, f_cksum.c, f_ecb.c,
	f_pcbc.c, f_sched.c, f_tables.c, f_tables.h: Change KRB_INT32 to
	DES_INT32 to avoid temptation to misuse.

	* d3_cbc.c, d3_ecb.c, f_cbc.c, f_cksum.c, f_ecb.c, f_parity.c,
 	f_pcbc.c, f_sched.c, f_tables.c: Don't include des.h; it's broken
 	in ways.  Use only des_int.h instead.

Tue Oct 21 13:22:23 1997  Ezra Peisach  <epeisach@mit.edu>

	* Makefile.in (RUN_SETUP): Set KRB5_CONFIG.

Tue Oct 14 15:35:53 1997  Tom Yu  <tlyu@voltage-multiplier.mit.edu>

	* des_int.h: Use better logic to find an appropriate type for
 	KRB_INT32; also don't assume that a key schedule element is
	exactly 64 bits wide... use instead 2 * KRB_INT32, since that is
	what the code uses internally.

	* des.h: Use better logic to find an appropriate type for
 	KRB_INT32.

Mon Oct  6 11:32:51 1997  Ezra Peisach  <epeisach@mit.edu>

	* destest.c (main): Initialize context to 0 so it will not be
	        treated as unset by purify.

	* t_verify.c (main): Use krb5_free_context to release memory in use.


Sat Feb 22 18:50:35 1997  Richard Basch  <basch@lehman.com>

	* Makefile.in: Use some of the new library list build rules in
		win-post.in

Fri Feb  7 07:12:52 1997  Richard Basch  <basch@lehman.com>

	* Makefile.in (all-unix, all-mac): Create shared directory
		before trying to build the object files

Thu Jan 30 21:43:19 1997  Richard Basch  <basch@lehman.com>

	* cbc_cksum.c
		Change functions to take const args where possible

Thu Nov 21 00:58:04 EST 1996    Richard Basch   <basch@lehman.com>

        * Makefile.in: Win32 build

Sat Feb  8 18:49:39 1997  Tom Yu  <tlyu@mit.edu>

	* Makefile.in:
	* configure.in: Update to new program build procedure.

Sun Dec 29 21:53:49 1996  Tom Yu  <tlyu@mit.edu>

	* Makefile.in:
	* configure.in: Update to use new library building procedure.

Sat Jun 15 03:51:19 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* Makefile.in (clean): Add space before \

Wed Jun 12 00:08:31 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* des_int.h: Add missing prototypes; needed to make Win-32
		compiler happy.

	* f_tables.h: Add #ifdef _WIN32 in places where we had #ifdef _MSDOS

Tue May 21 19:30:10 1996  Sam Hartman  <hartmans@mit.edu>

	* Makefile.in (check-unix): In building destest and verify, make
 	sure we include enough object modules to deal with systems that do
 	early binding in shared libs, so we porperly overide
 	mit_des_is_weak_key

	* Makefile.in (check-unix): Use $(RUN_SETUP) so shared lib paths
 	are happy.

Sat May 18 02:02:59 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* u_nfold.c (mit_des_n_fold): Fix memory leak.  Free tempbuf
		before returning.

Tue May 14 18:59:38 1996  Richard Basch  <basch@lehman.com>

	* des_int.h: the cs_entry routines in cbc_cksum.c are now static.

	* Makefile.in: removed cs_entry.c

	* cbc_cksum.c:
		caller is responsible for allocating cksum->contents
		  and indicate the allocated amount in cksum->length.
		the cs_entry routines are now static and the cs_entry
		  structure is now in this file to enforce proper use.

Fri May 10 01:46:25 1996  Richard Basch  <basch@lehman.com>

	* d3_str2ky.c d3_procky.c des_int.h init_rkey.c:
	Replace des3-md5 with des3-sha

Thu May  2 18:29:01 1996  Richard Basch  <basch@lehman.com>

	* d3_rndky.c new_rn_key.c: Removed (obsolete).

	* u_rn_key.c: New file
		Support routines to set the seed/sequence number of the
		random stream.

	* Makefile.in: new/removed file changes

	* des_int.h: Changed prototypes for all the random routines.

	* fin_rndkey.c: rewrote mit_des_finish_random_key to use the new
		random state structure and to accept an eblock as arg 1.

	* init_rkey.c: rewritten to be a common DES, 3-DES random stream
		initialization routine.  it uses the eblock to determine
		the random key type to generate.
		
	* random_key.c: rewritten to be a common DES, 3-DES random stream
		generator, using the former DES algorithm (encrypting an
		incrementing sequence number with a unique key schedule)
		[3-DES uses DES3-CBC-CRC to increment a 192 bit sequence
		number, instead of being only as secure as DES.]

Wed Apr 17 19:25:01 1996  Marc Horowitz  <marc@mit.edu>

	* cbc_cksum.c (mit_des_cbc_checksum): don't allocate the checksum
	contents.  The caller is supposed to do this.

Wed Apr 10 17:46:40 1996  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in (SRCS,OBJS): Added afsstring2key.c to the list of
		files to be compiled.

Sat Mar 30 22:56:48 1996  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in (SRCS): Took the list of sources and object files in
		FSRCS, FOBJS, D3OBJS, and D3SRCS, and inlined them into
		the OBJS and SRCS list.  This is necessary so that the
		files are correctly picked up for the Macintosh build.

Thu Mar 28 10:49:31 1996  Richard Basch  <basch@lehman.com>

	* init_rkey.c, d3_str2ky.c, d3_procky.c: Support ENCTYPE_DES3_CBC_RAW

	* des_int.h: Support CKSUMTYPE_DES3_CBC_MD5

Wed Mar 20 22:33:40 1996  Theodore Y. Ts'o  <tytso@dcl>

	* u_nfold.c (mit_des_n_fold): 
	* d3_str2ky.c (mit_des3_string_to_key): Fix Windows lint flames.

Mon Mar 11 11:03:23 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* new_rn_key.c (mit_des_generate_random_block): Add const keywrod
		to cast for suncc warning.

Thu Feb 22 20:32:08 1996  Theodore Y. Ts'o  <tytso@dcl>

	* t_random.c: New file which just tests the random number generator.

	* new_rn_key.c (mit_des_set_random_generator_seed): Add fix so
		that we do something even if the input key is not a valid
		DES key.

Wed Jan 10 22:28:23 1996  Theodore Y. Ts'o  <tytso@dcl>

	* des_int.h: Fix return type for mit_des3_string_to_key().

Tue Nov 28 11:24:26 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* f_ecb.c, des_int.h (mit_des_ecb_encrypt): Add const declaration
		to input cblock.

Thu Nov 09 17:05:57 1995  Chris Provenzano (proven@mit.edu)

        * string2key.c : Remove krb5_enctype from krb5_string_to_key() args.
	* string2key.c, des_int.h : Remove krb5_enctype from 
		mit_des_string_to_key() args.

Tue Oct 31 22:06:52 1995  Theodore Y. Ts'o  <tytso@dcl>

	* finish_key.c (mit_des_finish_key): Make mit_des_finish_key()
		safe to call even if there is no key that needs to be
		freed.

Fri Oct  6 21:59:55 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Remove ##DOS!include of config/windows.in.
		config/windows.in is now included by wconfig.

Thu Sep 28 16:00:00 1995  John Rivlin  <jrivlin@fusion.com>

	* Makefile.in: Renamed verify.c to t_verify.c to avoid conflict with 
		lib/gssapi/krb5/verify.c on the Mac.

Mon Sep 25 16:48:36 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Removed "foo:: foo-$(WHAT)" lines from the
		Makefile. 

Fri Sep 22 23:32:58 1995  Theodore Y. Ts'o  <tytso@dcl>

	* des_int.h: Define PROTOTYPE if it is not defined elsewhere.

Tue Sep 12 18:50:50 1995   John Rivlin (jrivlin@fusion.com)

	* f_pcbc.c: Added include of des_int.h which seemed to
		get lost so that mit_des_xxx get defined.

Wed Sep 06 14:20:57 1995   Chris Provenzano (proven@mit.edu)

        * des_int.h, destest.c, init_rkey.c, random_key.c, string2key.c 
	* verify.c : s/keytype/enctype/g, s/KEYTYPE/ENCTYPE/g

Tue Sep 05 22:10:34 1995   Chris Provenzano (proven@mit.edu)

        * destest.c, random_key.c, string2key.c, verify.c : Remove krb5_enctype
		references, and replace with krb5_keytype where appropriate.
	* init_rkey.c (mit_des_init_random_key()), 
	* string2key.c (mit_des_string_to_key()) : Allow for any DES keytype.


Tue Aug 29 13:29:19 EDT 1995	Paul Park	(pjpark@mit.edu)
	* process_key.c, finish_key.c - Set and use priv_size in the krb5_
		encrypt_block.

Thu Aug 24 18:08:42 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

        * f_cksum.c: Change code to match prototypes. 

	* f_cbc.c, f_ecb, f_parity, f_pcbc: Change des_cblock to
		mit_des_cblock and  des_key_schedule to
		mit_des_key_schedule. Also include des_int.h.

	* destest.c: Change des_cblock to mit_des_cblock and add local
		prototypes. 

	* cs_entry.c: Remove prototypes for mit_des_cbc_cksum and
		mit_des_cbc_cksum. Now in des_int.h.

	* cbc_cksum.c, string2key.c:	Remove casts in call to
		mit_des_cbc_cksum 

	* des_int.h: Add prototype for mit_des_cbc_verf_cksum. Change 
		return code for mit_des_cbc_cksum to match source.

	* des.h: Remove unused structures and defines.

Thu Jul 27 15:18:37 EDT 1995	Paul Park	(pjpark@mit.edu)
	* des_int.h - Inline the old contents of include/krb5/mit-des.h.  This
		is now the only place that it's needed.  Also update the
		prototype for mit_des_ecb_encrypt.
	* destest.c, f_sched.c, fin_rndkey.c, finish_key.c - Include des_int.h
	* destest.c, new_rn_key.c, verify.c - Cast to the correct type for
		mit_des_ecb_encrypt.


Fri Jul 7 16:12:29 EDT 1995	Paul Park	(pjpark@mit.edu)
	* cbc_cksum.c - Add checksum verifier procedure.
	* cs_entry.c - Add entry for checksum verifier.

Thu Jul  6 17:16:17 1995  Tom Yu  <tlyu@lothlorien.MIT.EDU>

	* new_rn_key.c (mit_des_init_random_number_generator): don't call
		us_timeofday with context arg; also update for new
		function names (krb5_crypto_*).

Fri Jun  9 19:18:29 1995    <tytso@rsx-11.mit.edu>

	* configure.in: Remove standardized set of autoconf macros, which
		are now handled by CONFIG_RULES.

Thu May 25 22:16:02 1995  Theodore Y. Ts'o  (tytso@dcl)

	* configure.in, Makefile.in: Add support for shared libraries.

Fri May 12 02:46:13 1995  Mark Eichin  <eichin@cygnus.com>

	* key_sched.c (mit_des_key_sched): *always* fill in the schedule,
	regardless of the key failing other tests, as a defense against
	telnet-style bugs.

Thu Apr 13 15:49:16 1995 Keith Vetter (keithv@fusion.com)

	* *.[ch]: removed unneeded INTERFACE from non-api functions.
        * *.h added FAR to pointers visible at to the world.
        * f_tables.h: __STDC__ condition also checks _WINDOWS

Tue Mar 28 15:09:43 1995  John Gilmore  (gnu at toad.com)

	Bring in portability fixes from Cygnus K4 release.

	* f_cbc.c, f_cksum.c, f_pcbc.c:  Replace individual casts with
	simpler solution.
	* f_tables.h:  Insert debugging code, and circumvention for MPW
	compiler bug.
	* key_sched.c:  Remove ancient (microvax??!) comments, and dup 
	prototype.
	* verify.c:  Small hack for MS-Windows scrolling.  Fix spelling.
	"register x" -> "register int x".

Thu Mar 16 21:16:24 1995  John Gilmore  (gnu at toad.com)

	* Makefile.in (LDFLAGS):  Remove, conflicts with pre.in.
	(clean):  Insert FIXME.
	(verify$(EXEEXT), destest$(EXEEXT)):  Make them work on Mac.
	(check-mac):  Add, identical to Unix.
	(clean):  Use $(EXEEXT).
	* des_int.h (mit_des_cbc_cksum):  Fix prototype from void to long,
	to match the actual function.

Tue Mar 14 17:28:35 1995 Keith Vetter (keithv@fusion.com)

	* f_cbc.c, f_cksum.c, f_pcbc.c: added casts so that chars get promoted
           to longs instead of ints when doing 32 bit bit manipulations.

Thu Mar 2 17:50:39 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: changed LIBNAME for the PC.
        * f_tables.h. f_cbc.c: added cast on the assignment of bits of
           a long into characters.
        * string2k.c: promoted an int into a long.

Thu Mar  2 18:09:28 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in (ISODELIB): Remove reference to $(ISODELIB).

Wed Mar  1 16:30:50 1995  Theodore Y. Ts'o  <tytso@dcl>

	* configure.in: Remove ISODE_INCLUDE, replace check for -lsocket
		and -lnsl with WITH_NETLIB check.

Tue Feb 28 00:18:38 1995  John Gilmore  (gnu at toad.com)

	* des_int.h:  Avoid <krb5/...> includes.

Mon Feb 20 16:10:29 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: made to work under windows PC
        * cbc_cksu.c cs_entry.c finish_k.c fin_rndk.c f_cbc.c f_cksum.c 
          f_ecb.c f_parity.c f_pcbc.c f_sched.c init_rke.c key_sche.c 
          new_rn_k.c process_.c random_k.c string2k.c weak_key.c: added
          windows INTERFACE keyword.
        * string2key.c: needed long -> int casts for memset and malloc

Wed Feb  8 13:59:05 1995  Theodore Y. Ts'o  (tytso@dcl)

	* des.h: Add KRB5_INT32 definitions for non-32 int platforms.

Fri Feb  3 06:33:22 1995  Theodore Y. Ts'o  (tytso@dcl)

	* des_int.h: Remove unused cruft from the file.

	* verify.c: Fix typo; "%02 X" --> "%02X"

Wed Jan 25 20:04:39 1995  John Gilmore  (gnu at toad.com)

	* cbc_cksum.c, cs_entry.c, des.h, destest.c, f_sched.c,
	fin_rndkey.c, finish_key.c, init_rkey.c, key_sched.c,
	new_rn_key.c, process_ky.c, random_key.c, string2key.c, verify.c,
	weak_key.c: Replace <.../...> includes with "..."s.

Wed Jan 25 16:54:40 1995  Chris Provenzano (proven@mit.edu)

        * Removed all narrow types and references to wide.h and narrow.h

Fri Nov 18 16:20:10 1994  Theodore Y. Ts'o  (tytso@dcl)

	* destest.c (main): Add magic numbers to keyblock structure.

Tue Nov  8 17:57:47 1994  Theodore Y. Ts'o  (tytso@dcl)

	* des_int.h:
	  random_key.c (mit_des_random_key):
	  string2key.c (mit_des_string_to_key): Change
		internal calling signature to pass in the encryption
		block, so that the encryption type in the keyblock
		structure can be properly initialized.

Thu Nov  3 18:31:55 1994  Mark Eichin  (eichin@cygnus.com)

	* Makefile.in: stop building f_pcbc.c, since it belongs in
	libdes425, but leave it here for reference.

Fri Oct 14 00:33:17 1994  Theodore Y. Ts'o  (tytso@dcl)

	* des_int.h, f_cbc.c, verify.c: Fix function declarations to
		(slightly) better match the conventions used by the krb5
		source tree.

	* cs_entry.c: Remove declarations of the cryptosystem specific
		structures to raw-des.c and des-crc.c in the parent
		directory.  They're strictly speaking not DES specific.

	* Makefile.in: Remove file krb_glue.c; we don't use it any more.

Thu Oct  6 12:49:29 1994  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in: Make sure the "make check" programs get cleaned up
		on a "make clean".

	* verify.c (main): Take out check that assures that long is 4
		bytes.  The DES implementation shouldn't be depending on
		this, and if it is, then that's what the verify program
		should be discovering, yes?

Thu Jun 23 01:09:33 1994  Tom Yu  (tlyu at dragons-lair)

	* cs_entry.c: oops typo in that last one

	* grrr.... ETYPE_DES_CBC_CRC really should be ETYPE_RAW_DES_CBC,
	although something like ETYPE_DES_CBC_RAW or ETYPE_DES_CBC_NONE
	would probably work better (following the convention
	ETYPE_{system}_{mode}_{integrity})

